Package org.pushingpixels.lafwidget.scroll

# Class AutoScrollWidget

java.lang.Object
org.pushingpixels.lafwidget.LafWidgetAdapter<JScrollPane>
org.pushingpixels.lafwidget.scroll.AutoScrollWidget

All Implemented Interfaces:
  `LafWidget<JScrollPane>`

public class AutoScrollWidget extends LafWidgetAdapter<JScrollPane>
Widget that decorates scroll panes with auto scroll.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected PropertyChangeListener`
`propertyChangeListener`
Property change listener - listens on the changes to `LafWidget.AUTO_SCROLL` property.

### Fields inherited from class org.pushingpixels.lafwidget.LafWidgetAdapter

`jcomp`

### Fields inherited from interface org.pushingpixels.lafwidget.LafWidget

`AUTO_SCROLL, COMPONENT_PREVIEW_PAINTER, HAS_LOCK_ICON, IGNORE_GLOBAL_LOCALE, PASSWORD_STRENGTH_CHECKER, TABBED_PANE_PREVIEW_PAINTER, TEXT_EDIT_CONTEXT_MENU, TEXT_FLIP_SELECT_ON_ESCAPE, TEXT_SELECT_ON_FOCUS, TREE_AUTO_DND_SUPPORT`

## Constructor Summary

Constructors
Constructor
Description
`AutoScrollWidget()`

## Method Summary

Modifier and Type
Method
Description
`void`
`installListeners()`
Installs listeners for the associated component.
`void`
`installUI()`
Installs UI on the associated component.
`boolean`
`requiresCustomLafSupport()`
Returns indication whether `this` widget requires custom LAF support.
`void`
`uninstallListeners()`
Uninstalls listeners for the associated component.
`void`
`uninstallUI()`
Uninstalls UI on the associated component.

### Methods inherited from class org.pushingpixels.lafwidget.LafWidgetAdapter

`installComponents, installDefaults, setComponent, uninstallComponents, uninstallDefaults`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### propertyChangeListener

protected PropertyChangeListener propertyChangeListener
Property change listener - listens on the changes to `LafWidget.AUTO_SCROLL` property.

## Constructor Details

### AutoScrollWidget

public AutoScrollWidget()

## Method Details

### requiresCustomLafSupport

public boolean requiresCustomLafSupport()
Description copied from interface: `LafWidget`
Returns indication whether `this` widget requires custom LAF support. Some widgets such as `TabOverviewDialogWidget` or `TabHoverPreviewWidget` require custom implementation based on the internals of the specific LAF. Relevant functions in the base `LafWidgetSupport` support throw `UnsupportedOperationException`.

Returns:
  `true` if `this` widget requires custom LAF support, `false` otherwise.

### installUI

public void installUI()
Description copied from interface: `LafWidget`
Installs UI on the associated component.

Specified by:
  `installUI` in interface `LafWidget<JScrollPane>`
Overrides:
  `installUI` in class `LafWidgetAdapter<JScrollPane>`

### uninstallUI

public void uninstallUI()
Description copied from interface: `LafWidget`
Uninstalls UI on the associated component.

Specified by:
  `uninstallUI` in interface `LafWidget<JScrollPane>`
Overrides:
  `uninstallUI` in class `LafWidgetAdapter<JScrollPane>`

### installListeners

public void installListeners()
Description copied from interface: `LafWidget`
Installs listeners for the associated component.

Specified by:
  `installListeners` in interface `LafWidget<JScrollPane>`
Overrides:
  `installListeners` in class `LafWidgetAdapter<JScrollPane>`

### uninstallListeners

public void uninstallListeners()
Description copied from interface: `LafWidget`
Uninstalls listeners for the associated component.

Specified by:
  `uninstallListeners` in interface `LafWidget<JScrollPane>`
Overrides:
  `uninstallListeners` in class `LafWidgetAdapter<JScrollPane>`